Update Lead: MRI
https://api.propexo.com/v1/leads/mri/:lead_id| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_GuestCardsBySiteID |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the lead
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the address type. This is required when updating the address
The first name associated with the lead
The last name associated with the lead
The primary email address associated with the lead
The first address line associated with the lead
The second address line associated with the lead
The city associated with the lead
The state associated with the lead
Show 57 enum values
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYThe zip code associated with the lead
The target move in date for the lead
Show 2 variants
The desired number of bedrooms
The desired number of bathrooms
The desired lease term in months of the lead
The number of occupants for the lead
Notes associated with the lead
Possible values: <= 30 characters
Primary phone number associated with the lead
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKSecondary phone number associated with the lead
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe status of the lead. This is optional and defaults to ACTIVE.
Show 3 enum values
APPLICANTCO_APPLICANTOCCUPANTResponse
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the lead
The Propexo unique identifier for the address type. This is required when updating the address
The first name associated with the lead
The last name associated with the lead
The primary email address associated with the lead
The first address line associated with the lead
The second address line associated with the lead
The city associated with the lead
The state associated with the lead
Show 57 enum values
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYThe zip code associated with the lead
The target move in date for the lead
Show 2 variants
The desired number of bedrooms
The desired number of bathrooms
The desired lease term in months of the lead
The number of occupants for the lead
Notes associated with the lead
Possible values: <= 30 characters
Primary phone number associated with the lead
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKSecondary phone number associated with the lead
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe status of the lead. This is optional and defaults to ACTIVE.
Show 3 enum values
APPLICANTCO_APPLICANTOCCUPANTErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/leads/mri/:lead_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"address_type_id": "string",
"first_name": "string",
"last_name": "string",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AA",
"zip": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": 0,
"desired_num_bathrooms": "string",
"desired_lease_term_in_months": 0,
"number_of_occupants": 0,
"notes": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"applicant_status": "APPLICANT"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"lead_id": "string",
"address_type_id": "string",
"first_name": "string",
"last_name": "string",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AA",
"zip": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": 0,
"desired_num_bathrooms": "string",
"desired_lease_term_in_months": 0,
"number_of_occupants": 0,
"notes": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"applicant_status": "APPLICANT"
}
}